Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class UpdateManagerConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.UpdateManagerConfig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class UpdateManagerConfig
extends java.lang.Object
implements ConfigurationInfo

See Also:
  Serialized Form

Constructor Summary
`UpdateManagerConfig()` Creates a new instance of UpdateManagerConfig

Method Summary
`int` | `finish()` Finish.
`java.lang.String` | `getEnterpriseCreatePolicy()` Return the Enterprise create policy.
`java.lang.String` | `getEnterpriseMergePolicy()` Return the Enterprise merge policy.
`java.lang.String` | `getEnterpriseUnmergePolicy()` Return the Enterprise unmerge policy.
`java.lang.String` | `getEnterpriseUpdatePolicy()` Return the Enterprise update policy.
`java.lang.String` | `getModuleType()` Return String representing the module type.
`boolean` | `getSkipUpdateIfNoChange()` Return the value of the "Skip Update if there is no change" attribute.
`java.lang.String` | `getSystemMergePolicy()` Return the System merge policy.
`java.lang.String` | `getSystemUnmergePolicy()` Return the System unmerge policy.
`java.lang.String` | `getUndoAssumePolicy()` Return the undo assume match policy.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateManagerConfig

    public UpdateManagerConfig()

  Creates a new instance of UpdateManagerConfig

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getEnterpriseCreatePolicy

    public java.lang.String getEnterpriseCreatePolicy()

  Return the Enterprise create policy.

  Returns:
    Return the Enterprise create policy.

### getEnterpriseMergePolicy

    public java.lang.String getEnterpriseMergePolicy()

  Return the Enterprise merge policy.

  Returns:
    Return the Enterprise merge policy.

### getEnterpriseUnmergePolicy

    public java.lang.String getEnterpriseUnmergePolicy()

  Return the Enterprise unmerge policy.

  Returns:
    Return the Enterprise unmerge policy.

### getEnterpriseUpdatePolicy

    public java.lang.String getEnterpriseUpdatePolicy()

  Return the Enterprise update policy.

  Returns:
    Return the Enterprise update policy.

### getModuleType

    public java.lang.String getModuleType()

  Return String representing the module type.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    Return String representing the module type.

### getSkipUpdateIfNoChange

    public boolean getSkipUpdateIfNoChange()

  Return the value of the "Skip Update if there is no change" attribute.

  Returns:
    Return the "Skip Update if there is no change" attribute.

### getSystemMergePolicy

    public java.lang.String getSystemMergePolicy()

  Return the System merge policy.

  Returns:
    Return the System merge policy.

### getSystemUnmergePolicy

    public java.lang.String getSystemUnmergePolicy()

  Return the System unmerge policy.

  Returns:
    Return the System unmerge policy.

### getUndoAssumePolicy

    public java.lang.String getUndoAssumePolicy()

  Return the undo assume match policy.

  Returns:
    Return the undo assumed match policy.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.